Subject: RE: [Diffserv] diffserv MIB counts

From: Fred Baker <[email-masked]>
Date: Mon, 01 Oct 2001 08:12:00 -0700

>I'm going to have some comments separated by pictures. Don't read a 
>paragraph, see the start of a picture, and assume you have the substance 
>of the note. There's a test at the end :^)

I realized that I put a "count action" after the queue, rather than 
changing the word to "rate based scheduler", as I intended too. Probably 
introduced some real confusion there, for which I apologize.

Please review Figures 9-12 in the latest markup at 
ftp://ftpeng.cisco.com/fred/diffserv/marked.draft-ietf-diffserv-mib-14.txt
or ftp://ftpeng.cisco.com/fred/diffserv/draft-ietf-diffserv-mib-14.txt

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Shahram Davari <[email-masked]>
Date: Mon, 1 Oct 2001 07:02:15 -0700

Hi Fred,

Excellent pictures. I support adding them to the draft.

Yours,
-Shahram

> -----Original Message-----
> From: Fred Baker [mailto:[email-masked]]
> Sent: Friday, September 28, 2001 5:49 PM
> To: Shahram Davari
> Cc: [email-masked]'
> Subject: RE: [Diffserv] diffserv MIB counts
> 
> 
> paragraph, see the start of a picture, and assume you have 
> the substance of 
> the note. There's a test at the end :^)
> 
> At 02:19 PM 9/28/2001, Shahram Davari wrote:
> >Can we conclude that a count action can be placed almost 
> anywhere (in line)?
> 
> yes, anywhere it makes sense. In context, I think you have a 
> pretty simple 
> picture, one of the following two. I think if you change them 
> in any way, 
> you get a mess; classification has to come before counting, 
> and queuing has 
> to come after. Discarding has to also come after counting and before 
> queuing, because you want the packet presented to be in the 
> total counter, 
> but to potentially not get into the queue.
> 
>          +-----------------------------------------------------+
>          |                     Classifier                      |
>          +--------+-----------------+-----------------+--------+
>                   | Green           | Yellow          | Red
>                   |                 |                 |
>              +----+----+       +----+----+       +----+----+
>              |  Count  |       |  Count  |       |  Count  |
>              |  Action |       |  Action |       |  Action |
>              +----+----+       +----+----+       +----+----+
>                   |                 |                 |
>              +----+----+       +----+----+       +----+----+
>              |  Random |       |  Random |       |  Random |
>              |  Drop   |       |  Drop   |       |  Drop   |
>              |  Action |       |  Action |       |  Action |
>              +----+----+       +----+----+       +----+----+
>                   |                 |                 |
>          +--------+-----------------+-----------------+--------+
>          |                        Queue                        |
>          +--------------------------+--------------------------+
>                                     |
>                                +----+----+
>                                |  Count  |
>                                |  Action |
>                                +----+----+
>                                     |
> 
> 
> 
> 
>          +-----------------------------------------------------+
>          |                     Classifier                      |
>          +--------+--------------------------------------------+
>                   |Green| Yellow| Red
>                   |     |       |
>                +--+-----+-------+--+ Fail +--------------------+
>                |      Meter        +------+      Meter         |
>                +--+----------------+      +---+-------+--------+
>                   | Succeed (Green)           |       |Fail (Red)
>                   |                 +---------+       |
>                   |                 | Succeed (Yellow)|
>              +----+----+       +----+----+       +----+----+
>              |  Count  |       |  Count  |       |  Count  |
>              |  Action |       |  Action |       |  Action |
>              +----+----+       +----+----+       +----+----+
>                   |                 |                 |
>              +----+----+       +----+----+       +----+----+
>              |  Random |       |  Random |       |  Random |
>              |  Drop   |       |  Drop   |       |  Drop   |
>              |  Action |       |  Action |       |  Action |
>              +----+----+       +----+----+       +----+----+
>                   |                 |                 |
>          +--------+-----------------+-----------------+--------+
>          |                        Queue                        |
>          +--------------------------+--------------------------+
>                                     |
>                                +----+----+
>                                |  Count  |
>                                |  Action |
>                                +----+----+
>                                     |
> 
> Now, this is slightly more explicit than the picture on page 
> 23 in the MIB, 
> because I ran out of bits to do ASCII Art in. That picture is:
> 
> 
>           +-----------------------+
>           | diffServDataPathStart |
>           +-----------+-----------+
>                       |
>            +----------+
>            |
>         +--+--+     +-----+     +-----+     +-----+     +-----+
>         | AF1 +-----+ AF2 +-----+ AF3 +-----+ AF4 +-----+ EF  |
>         +-+++-+     +-+++-+     +-+++-+     +-+++-+     +-+-+-+
>           |||         |||         |||         |||         | |
>         +-+++-+     +-+++-+     +-+++-+     +-+++-+     +-+-+-+
>         |trTCM|     |trTCM|     |trTCM|     |trTCM|     |srTCM|
>         |Meter|     |Meter|     |Meter|     |Meter|     |Meter|
>         +-+++-+     +-+++-+     +-+++-+     +-+++-+     +-+-+-+
>           |||         |||         |||         |||         | |
>         +-+||---+   +-+||---+   +-+||---+   +-+||---+   +-+-|---+
>         |+-+|----+  |+-+|----+  |+-+|----+  |+-+|----+  |+--+----+
>         ||+-+-----+ ||+-+-----+ ||+-+-----+ ||+-+-----+ ||Actions|
>         +||Actions| +||Actions| +||Actions| +||Actions| +|       |
>          +|       |  +|       |  +|       |  +|       |  +-+-----+
>           +-+-----+   +-+-----+   +-+-----+   +-+-----+    |
>           |||         |||         |||         |||          |
>         +-+++--+    +-+++--+    +-+++--+    +-+++--+    +--+---+
>         | Queue|    | Queue|    | Queue|    | Queue|    | Queue|
>         +--+---+    +--+---+    +--+---+    +--+---+    +--+---+
>            |           |           |           |           |
>         +--+-----------+-----------+-----------+---+       |
>         |     WFQ/WRR Scheduler                    |       |
>         +--------------------------------------+---+       |
>                                                |           |
>                                          +-----+-----------+----+
>                                          |  Priority Scheduler  |
>                                          +----------+-----------+
>                                                     |
>                                                     V
> 
>         Figure 8: combined EF and AF implementation
> 
> The problem I have at this point is that I thought this was 
> all covered in 
> section 3.6.1 of the document; I believe it is verbally, but 
> it sounds like 
> it didn't make sense to you, or at least that the picture might have 
> helped. Would it help you if I took the two pictures above, 
> and a corollary 
> picture for EF, and added them somewhere in that section?
>

---

From: Fred Baker <[email-masked]>
Date: Mon, 01 Oct 2001 10:58:05 -0700

>Excellent pictures. I support adding them to the draft.

per your private note, I have updated figure 9 into 9a and 9b; one is 
color-blind, the other is color-aware.